%define pypi_name jsonpointer

Name:           python-jsonpointer
Version:        1.1
Release:        %mkrel 2
Group:          Development/Python
Summary:        Identify specific nodes in a JSON document (RFC 6901)

License:        Modified BSD License
URL:            https://github.com/stefankoegl/python-json-pointer
Source0:        https://pypi.python.org/packages/source/j/jsonpointer/jsonpointer-%{version}.tar.gz
Patch0:         jsonpointer-1.1-mga-decode-error.patch 
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python3-devel


%description
Library to resolve JSON Pointers according to
[RFC 6901](http://tools.ietf.org/html/rfc6901)

%package -n     python3-%{pypi_name}
Summary:        Identify specific nodes in a JSON document (RFC 6901)


%description -n python3-%{pypi_name}
Library to resolve JSON Pointers according to
[RFC 6901](http://tools.ietf.org/html/rfc6901)


%prep
%setup -q -n %{pypi_name}-%{version}
%patch0 -p0
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd


%install
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
mv %{buildroot}%{_bindir}/jsonpointer %{buildroot}/%{_bindir}/python3-jsonpointer
popd

%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc README.md
%{_bindir}/jsonpointer
%{python_sitelib}/


%files -n python3-%{pypi_name}
%doc README.md
%{_bindir}/python3-jsonpointer
%{python3_sitelib}/




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.1-2.mga4
+ Revision: 542478
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 philippem <philippem> 1.1-1.mga4
+ Revision: 497629
- imported package python-jsonpointer

